package c4.player;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.border.*;

/**
 * UI pane used by a player to select which colour counters they would like to be.
 */
public class ColourPane extends JPanel
{
	/**
	 * Creates the ColourPane object.
	 */
	public ColourPane()
	{
		GridBagLayout gridBag=new GridBagLayout();
		GridBagConstraints gridConst=new GridBagConstraints();

		setLayout(gridBag);
		gridConst.anchor=GridBagConstraints.NORTHWEST;
		gridConst.fill=GridBagConstraints.BOTH;
		gridConst.weightx=0;
		gridConst.weighty=0;

        red=new JRadioButton("Red");
        red.setMnemonic(KeyEvent.VK_R);
        red.setSelected(true);
		add(red,gridConst,0,0,1,1);

        yellow=new JRadioButton("Yellow");
        yellow.setMnemonic(KeyEvent.VK_Y);
		add(yellow,gridConst,0,1,1,1);

        group=new ButtonGroup();
        group.add(red);
        group.add(yellow);

   		TitledBorder controlBorder=new TitledBorder("Counter Colour");
   		setBorder(controlBorder);
	}

 	/**
	 * Returns the selected color.
	 * @return	colour the selected counter colour, red or yellow.
	 */
	public Color getColour()
	{
		return (red.isSelected())?Color.red:Color.yellow;
	}

	private void add(Component c,GridBagConstraints g,int x,int y,int w,int h)
	{
		g.gridx=x;
		g.gridy=y;
		g.gridwidth=w;
		g.gridheight=h;
		add(c,g);
	}

	/**
	 * Enables or bisables the UI Pane.
	 * @param	bool, if true pane is enable, disabled if false.
	 */
	public void setEnabled(boolean bool)
	{
		final boolean enabled=bool;
		SwingUtilities.invokeLater(new Runnable() {
			public void run() {
				red.setEnabled(enabled);
				yellow.setEnabled(enabled);
			}
		});
	}

	private JRadioButton red;
	private JRadioButton yellow;
	private ButtonGroup group;
	private Color colour=Color.red;
	private boolean DEBUG=true;
}


