package c4.player;

import java.util.Vector;
import c4.shared.*;

public class GameTreeNode
{
	public GameTreeNode(int[][] gGame,int[] gSlotHeight,Move gMove)
	{
		game=gGame;
		slotHeight=gSlotHeight;
		move=gMove;
	}

	public Move getMove()
	{
		return move;
	}

	public int[][] getGame()
	{
		return game;
	}

	public Vector moveGenerator(Player player,int value)
	{
		Vector nextLevelNodes=new Vector(7);
		for (int l=0;l<COLUMNS;++l) {
			if (slotHeight[l]<6) {
				int[][] newGame=new int[ROWS][COLUMNS];
				int[] newSlotHeight=new int[COLUMNS];
				for (int j=0;j<COLUMNS;++j) {
					newSlotHeight[j]=slotHeight[j];
					for (int i=0;i<ROWS;++i)
						newGame[i][j]=game[i][j];
				}
				newGame[slotHeight[l]][l]=value;
				++newSlotHeight[l];
				Move newMove=new Move(player,l);
				GameTreeNode nextNode=new GameTreeNode(newGame,newSlotHeight,newMove);
				nextLevelNodes.addElement(nextNode);
			}
		}
		return nextLevelNodes;
	}

	public void print()
	{
		for (int i=ROWS-1;i>=0;--i) {
			for (int j=0;j<COLUMNS;++j) {
				System.out.print("\t" + game[i][j]);
			}
			System.out.println("\n");
		}
		System.out.println("");
		for (int i=0;i<COLUMNS;++i)
			System.out.print("\t" + slotHeight[i]);
		System.out.println("\n");
	}


	private int[][] game;
	private int[] slotHeight;
	private Move move;
	private int COLUMNS=7;
	private int ROWS=6;
}
