package c4.player;

import javax.swing.*;
import javax.swing.border.*;
import java.awt.*;
import c4.shared.*;

/**
 * Displays an opponents name and location.
 */
public class OpponentInfoPane extends JPanel
{
	/**
	 * Creates the OpponentInfoPane.
	 */
	public OpponentInfoPane()
	{
		add(name);
		add(nameField);
		add(locat);
		add(locatField);
		nameField.setEditable(false);
		locatField.setEditable(false);
   		TitledBorder opponentInfoBorder=new TitledBorder("Opponent Details");
   		setBorder(opponentInfoBorder);
	}

	/**
	 * Mutator method to set the opponent details.
	 * @param	player	the opponent.
	 * @see		Player
	 */
	public void setOpponent(Player player)
	{
		final String name=player.getName();
		final String location=player.getLocation();
		SwingUtilities.invokeLater(new Runnable() {
			public void run() {
				nameField.setText(name);
				locatField.setText(location);
			}
		});
	}

	/**
	 * Clears the opponent details.
	 */
	public void clear()
	{
		SwingUtilities.invokeLater(new Runnable() {
			public void run() {
				nameField.setText("");
				locatField.setText("");
			}
		});
	}

	private JTextField nameField=new JTextField(16);
	private JTextField locatField=new JTextField(16);
	private JLabel name=new JLabel("Name");
	private JLabel locat=new JLabel("Location");
}
