package c4.player;

import javax.swing.*;
import javax.swing.border.*;
import java.awt.*;

/**
 * UI component to retrieve the server IP address.
 */
public class ServerInfoPane extends JPanel
{
	/**
	 * Creates the ServerInfoPane.
	 */
	public ServerInfoPane()
	{
		setLayout(new FlowLayout(FlowLayout.LEFT));
		add(server);
		add(serverField);
   		TitledBorder serverInfoBorder=new TitledBorder("Server");
   		setBorder(serverInfoBorder);
	}

	/**
	 * Accessor method to return the user entered server location.
	 * @return	the user entered server location.
	 */
	public String getServer()
	{
		return serverField.getText().trim();
	}

	/**
	 * Enables and disables the server pane.
	 * @param	bool if true server field is enabled, false disables pane.
	 */
	 public void setEnabled(boolean bool)
	 {
	 	final boolean enabled=bool;
		SwingUtilities.invokeLater(new Runnable() {
			public void run() {
				serverField.setEditable(enabled);
			}
		});
	}

	private JTextField serverField=new JTextField(20);
	private JLabel server=new JLabel("IP Address");
}