package c4.player;

import java.applet.AudioClip;
import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
import java.net.URL;
import java.net.MalformedURLException;
import java.awt.GridBagLayout;

/**
 * Loads an plays game sound effects.
 */
public class SoundEffects
{
	/**
	 * Creates SoundEffects object. Loads sound files through SoundList object.
	 */
 	public SoundEffects()
	{
        //Starts sound loading.
        try {
            codeBase=new URL("file:" + System.getProperty("user.dir") + "/");
        } catch (MalformedURLException e) {
            System.err.println(e.getMessage());
        }
        soundList=new SoundList(codeBase);
        soundList.startLoading(ALERT);
        soundList.startLoading(MOVE);
        soundList.startLoading(WON);
        soundList.startLoading(LOST);
        soundList.startLoading(CLICK);
        soundList.startLoading(START);
    }

	/**
	 * Stops playing a sound before is finishes.
	 */
	public void stop()
	{
        onceClip.stop(); //Cut short the one-time sound.
    }

	/**
	 * Plays a specified sound.
	 * @params	sound the sound clip to be played, as defined in the classes static refences
	 */
    public void play(String sound)
	{
			onceClip=soundList.getClip(sound);
			onceClip.play();
    }

	/** The sound to be played when a move is made.*/
	public final static String MOVE="move.wav";
	/** The sound to be played when a game is won.*/
    public final static String WON="won.wav";
	/** The sound to be played when a player receives a game request.*/
    public final static String ALERT="alert.wav";
	/** The sound to be played when a game is lost.*/
	public final static String LOST="lost.wav";
	/** The sound to be played when a control button is pressed.*/
	public final static String CLICK="click.wav";
	/** The sound to be played when a game starts.*/
	public final static String START="start.wav";
    private AudioClip onceClip;
    private SoundList soundList;
    private URL codeBase;
	private boolean DEBUG=true;
}