package c4.player;

import java.applet.AudioClip;
import javax.swing.*;
import java.net.URL;

import java.applet.*;
import java.net.MalformedURLException;

/**
 * Loads and holds a bunch of audio files whose locations are specified
 * relative to a fixed base URL.
 */
class SoundList extends java.util.Hashtable
{
    public SoundList(URL baseURL)
	{
        super(6); //Initialize Hashtable with capacity of 3 entries.
        this.baseURL = baseURL;
    }

	/**
	 * Loads the sound file.
	 * @param	relativeURL the relative sound file URL.
	 */
    public void startLoading(String relativeURL)
	{
	 	URL completeURL=null;
        try {
            completeURL=new URL(baseURL,relativeURL);
			if (DEBUG) System.out.println("Loading sound file.." + completeURL);
        	AudioClip audioClip=Applet.newAudioClip(completeURL);
        	putClip(audioClip,relativeURL);
        } catch (MalformedURLException e){
            System.err.println(e.getMessage());
        }

    }

	/**
	 * Accessor method to retreive the sound clip.
	 */
    public AudioClip getClip(String relativeURL)
	{
        return (AudioClip)get(relativeURL);
    }

	/**
	 * Adds an audio file to the sound list.
	 * @param	clip the sound file
	 * @param	realtiveURL the sound clips relative URL
	 */
	public void putClip(AudioClip clip, String relativeURL)
	{
        put(relativeURL, clip);
    }

	private URL baseURL;
	private boolean DEBUG=true;
}
