package c4.server;

import java.rmi.*;
import java.net.*;

/**
 * Registers an instance of GameControllerImpl with the RMI Registry.
 * @see		GameController
 * @see		GameControllerImpl
 */
public class GameControllerServer
{
	/**
	 * Creates the GameControllerServer. Registers and un-registers a GameControllerImpl object with the
	 * RMI Registry.
	 * @param	gamesImpl object which is (un-)registered with registry.
	 * @see		GameControllerImpl
	 */
	public GameControllerServer(GameControllerImpl gamesImpl)
	{
		games=gamesImpl;
	}

	/**
	 * Registers the remote object.
	 * @exception	Exception
	 */
	public void registerRemoteObject() throws Exception
	{
	    String hostname=InetAddress.getLocalHost().getHostName();
	    Naming.rebind("//" + hostname + "/GameController",games);
		//GameControllerImpl games=new GameControllerImpl();
		//Naming.rebind("GameController",games);
	}

	/**
	 * Un-registers the remote object.
	 * @exception	Exception
	 */
	public void unregisterRemoteObject() throws Exception
	{
		Naming.unbind("GameController");
	}

	private GameControllerImpl games;
}