package c4.server;

import java.rmi.*;
import java.rmi.server.*;
import c4.shared.*;

/**
 * Used to manage game moves between players and the server. Implements the GameMoves remote interface.
 * @see		GameMoves
 * @see		Move
 */
public class GameMovesImpl extends UnicastRemoteObject implements GameMoves
{
	/**
	 * Creates a GameMovesImpl object.
	 * @exeception	RemoteException
	 */
	public GameMovesImpl() throws RemoteException
	{
		try {
			socketGate=new SocketGate();
		} catch (Exception e) {
			System.out.println("GameMovesImpl " + e);
		}
	}

	/**
	 * Announces to all players a newly received game move.
	 * @param	move the Move object.
	 * @exeception	RemoteException
	 */
	public void move(Move move) throws RemoteException
	{
		System.out.println("Anouncement");
		socketGate.sendMove(move);
	}

	private SocketGate socketGate;
}
