package c4.server;

import java.rmi.*;
import java.net.*;

/**
 * Registers an instance of GameMovesImpl with the RMI Registry.
 * @see		GameMoves
 * @see		GameMovesImpl
 */
public class GameMovesServer
{
	/**
	 * Creates the GameMovesServer. Registers and un-registers a GameMovesImpl object with the
	 * RMI Registry.
	 * @param	movesImpl object which is (un-)registered with registry.
	 * @see		GameMovesImpl
	 */
	public GameMovesServer(GameMovesImpl movesImpl)
	{
		moves=movesImpl;
	}

	/**
	 * Registers the remote object.
	 * @exception	Exception
	 */
	public void registerRemoteObject() throws Exception
	{
	    String hostname=InetAddress.getLocalHost().getHostName();
	    Naming.rebind("//" + hostname + "/GameMoves",moves);
		//GameMovesImpl moves=new GameMovesImpl();
		//Naming.rebind("GameMoves",moves);
	}

	/**
	 * Un-registers the remote object.
	 * @exception	Exception
	 */
	public void unregisterRemoteObject() throws Exception
	{
		Naming.unbind("GameMoves");
	}

	private GameMovesImpl moves;
}