package c4.server;

import java.rmi.*;
import java.net.*;

/**
 * Registers and un-registers an instance of RegPlayersImpl with the RMI Registry.
 * @see		RegPlayers
 * @see		RegPlayersImpl
 */
public class RegPlayersServer
{
	/**
	 * Creates the RegPlayersServer. Registers and un-registers a RegPlayersImpl object with the
	 * RMI Registry.
	 * @param	playersImpl object which is (un-)registered with registry.
	 * @see		RegPlayersImpl
	 */
	public RegPlayersServer(RegPlayersImpl playersImpl)
	{
		players=playersImpl;
	}

	/**
	 * Registers the remote object.
	 * @exception	Exception
	 */
	public void registerRemoteObject() throws Exception
	{
	    String hostname=InetAddress.getLocalHost().getHostName();
	    Naming.rebind("//" + hostname + "/RegisteredPlayers",players);
		//RegPlayersImpl players=new RegPlayersImpl();
		//Naming.rebind("RegisteredPlayers",players);
	}

	/**
	 * Un-registers the remote object.
	 * @exception	Exception
	 */
	public void unregisterRemoteObject() throws Exception
	{
		Naming.unbind("RegisteredPlayers");
	}

	private RegPlayersImpl players;
}