package c4.shared;

import java.awt.*;
import c4.shared.*;

/**
 * Creates an abstract event class which is used to create all C4Player events.
 */
public abstract class AbstractGameEvent extends AWTEvent
{
	/**
	 * Creates the AbstractGameEvent.
	 * @param	source the Component to which the event is to be received by.
	 * @param	eventID the events identification number.
	 */
	public AbstractGameEvent(Component source,int eventID)
	{
		super(source,eventID);
	}

	/**
	 * Accessor method to retrieve the game associated with the event.
	 * @return	game the events Game object.
	 */
	protected Game getGame()
	{
		return game;
	}

	protected Game game;
}
