package c4.shared;

import java.awt.*;

/**
 * Creates an event which is used to prevent a deadlock situation. Deadlock occurring when a player
 * makes a request to an opponent who is already making a request.
 */
public class BusyEvent extends AbstractGameEvent
{
	/**
	 * Creates the BusyEvent.
	 * @param	source the Component to which the event is to be received by.
	 * @param	game the Game object.
	 */
	public BusyEvent(Component source,Game game)
	{
		super(source,EventID.BusyEvent);
		this.game=game;
	}

	public Game getGame()
	{
		return super.getGame();
	}
}
