package c4.shared;

/**
 * Displays Error messages
 */
public class ErrorMessages
{
  	/**
	 * Prints an error message given by the parameter to the standard error.
	 * @param	message the String message.
	 */
	public static void error(String message)
   	{
		System.err.print("Connect 4: ");
		System.err.println(message);
   	}

  	/**
	 * Prints an error messages given by the parameters to the standard error.
	 * @param	message the String message.
	 * @param	except the Exception.
	 */
   	public static void error(String message,Exception except)
   	{
		if (DEBUG) {
    			if (except!=null) {
        			except.printStackTrace();
    			}
		}
		System.err.print("Connect 4: ");
		System.err.println(message);
   	}

  	/**
	 * Prints an error messages and shuts program down. Message and Exception is given by the
	 * parameters, printed to the standard error.
	 * @param	message the String message.
	 * @param	except the Exception.
	 */
   	public static void fatalError(String message,Exception except)
   	{
		if (DEBUG) {
    			if (except!=null) {
        			except.printStackTrace();
    			}
		}
		System.err.print("Connect 4: ");
		System.err.println(message);
		System.err.println("Exiting.....");
		System.exit(-1);
   	}

   	private static boolean DEBUG=true;
}
