package c4.shared;

import java.rmi.*;
import java.util.Vector.*;

/**
 * Remote interface used for game communication between players. Implemented by GameControllerImpl.
 * @see		GameControllerImpl for example of implementation.
 */
public interface GameController extends Remote
{
	/** For Game requseting.*/
	public boolean requestGame(Game game) throws RemoteException;
	/** For Game accepting.*/
	public void acceptGame(Game game) throws RemoteException;
	/** For Game declining.*/
	public void declineGame(Game game) throws RemoteException;
	/** For Game ending, i.e. before game is win, drawn or lost.*/
	public void endGame(Game game) throws RemoteException;
	/** For notifying that a game has been won, drawn or lost.*/
	public void finishGame(Game game) throws RemoteException;
	/** Used to prevent deadlock between requesting players.*/
	public void playerIsBusy(Game game) throws RemoteException;
}

