package c4.shared;

import java.awt.*;

/**
 * Creates an event which is used to signify that a game has ended.
 */
public class GameEndedEvent extends AbstractGameEvent
{
	/**
	 * Creates the GameEndedEvent.
	 * @param	source the Component to which the event is to be received by.
	 * @param	game the Game object.
	 */
	public GameEndedEvent(Component source,Game game)
	{
		super(source,EventID.GameEndedEvent);
		this.game=game;
	}

	public Game getGame()
	{
		return super.getGame();
	}
}
