package c4.shared;

import java.net.*;
import java.io.*;

/**
 * Creates the multicast listening infrastructure for object extending ListenerThread.
 * @see		GameControllerListenerThread
 * @see		GameMovesListenerThread
 * @see		RegPlayersListener
 */
public abstract class ListenerThread extends Thread
{
		/**
		 * Creates the multicast socket and assigns in to the InetAddress specified though groupString
		 * argument. Port number is retrieved from Constants.
		 * @param	groupString the InetAddress.
		 * @see		Constants
		 */
    	public ListenerThread(String groupString) throws UnknownHostException,IOException
    	{
			super();
			this.groupString=groupString;
	        this.group=InetAddress.getByName(groupString);
        	socket=new MulticastSocket(Constants.portNumber);
			socket.joinGroup(group);
    	}

		/*
    	public void stopListening() {
			stopListening=true;
    	}

    	protected void finalize() throws Throwable {
			socket.leaveGroup(group);
			socket.close();
    	}
		*/

    	protected boolean stopListening=false;
    	protected MulticastSocket socket;
    	private InetAddress group;
    	private String groupString;
}
