package c4.shared;

import java.awt.*;

/**
 * Creates an event which is used to signify that a move has been made.
 */
public class MadeMoveEvent extends AWTEvent
{
	/**
	 * Creates the MadeMoveEvent.
	 * @param	source the Component to which the event is to be received by.
	 */
	public MadeMoveEvent(Component source,Move move)
	{
		super(source,EventID.MadeMoveEvent);
		this.move=move;
	}

	/**
	 * Accessor method to retrieve the move associated with the event.
	 * @return	move the events Move object.
	 */
	public Move getMove()
	{
		return move;
	}

	private Move move;
}
