package c4.shared;

import java.awt.*;

/**
 * Creates an event which signify that a move has been received.
 */
public class ReceivedMoveEvent extends AWTEvent
{
	/**
	 * Creates the ReceivedMoveEvent.
	 * @param	source the Component to which the event is to be received by.
	 * @param	move the Move object.
	 */
	public ReceivedMoveEvent(Component source,Move move)
	{
		super(source,EventID.ReceivedMoveEvent);
		this.move=move;
	}

	/**
	 * Accessor method to retrieve the move associated with the event.
	 * @return	move the events Move object.
	 */
	public Move getMove()
	{
		return move;
	}

	private Move move;
}
