package c4.shared;

import java.util.Vector;
import java.rmi.*;

/**
 * Remote interface used for managing registered players. Implemented by RegPlayersImpl.
 * @see		RegPlayersImpl for example of implementation.
 */
public interface RegPlayers extends Remote
{
	/** Returns a list of registered players.*/
	public Vector getRegPlayers() throws RemoteException;
	/** Registers a player.*/
	public int registerPlayer(Player player) throws RemoteException;
	/** Registers a player.*/
	public int registerPlayer(Player player,int id) throws RemoteException;
	/** Un-registers a player.*/
	public void unregisterPlayer(Player player) throws RemoteException;
	/** Upadates a player.*/
	public void updatePlayer(Player player) throws RemoteException;
}