package c4.shared;

import java.awt.*;

/**
 * Creates an event which is used to signify that a game has been won, drawn or lost.
 */
public class ResultEvent extends AWTEvent
{
	/**
	 * Creates the ResultEvent.
	 * @param	source the Component to which the event is to be received by.
	 * @param	result the value of the result.
	 */
	public ResultEvent(Component source,int rResult)
	{
		super(source,EventID.ResultEvent);
		result=rResult;
	}

	/**
	 * Accessor method to retrieve the nature of the event result.
	 * @return	result the result of the game.
	 */
	public int getResult()
	{
		return result;
	}

	private int result;
	/** Used to signify that a game has been won.*/
	public static int WON=1;
	/** Used to signify that a game has been drawn.*/
	public static int DRAWN=2;
	/** Used to signify that a game has been lost.*/
	public static int LOST=3;
}
